﻿
@model ActorsViewModel

@{
    ViewData["Title"] = "Add Actors";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="AddActors" method="post">
            <div class="col-md-6">
                <h4>Add actors to movie.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MovieTitle">Movie Title<span class="text-danger"> - required</span></label>
                    <input asp-for="@Model.MovieTitle" class="form-control" />
                    <span asp-validation-for="@Model.MovieTitle" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="@Model.Actors">Actors<span class="text-danger"> - first is required</span></label>
                    <div class="row">
                        <div class="col-md-4">
                            <label asp-for="@Model.FirstName"><span class="text-muted">First name</span></label>
                            <input asp-for="@Model.FirstName" class="form-control" />
                            <span asp-validation-for="@Model.FirstName" class="text-danger"></span>
                        </div>
                        <div class="col-md-4">
                            <label asp-for="@Model.LastName"><span class="text-muted">Last name</span></label>
                            <input asp-for="@Model.LastName" class="form-control" />
                            <span asp-validation-for="@Model.LastName" class="text-danger"></span>
                        </div>
                        <div class="col-md-4">
                            <label asp-for="@Model.Birthday"><span class="text-muted">Birthday</span></label>
                            <input asp-for="@Model.Birthday" class="form-control" />
                            <span asp-validation-for="@Model.Birthday" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    @for (int i = 0; i < 3; i++)
                    {
                        <div class="row">
                            <div class="col-md-4">
                                <label asp-for="@Model.Actors[i].FirstName"><span class="text-muted">First name</span></label>
                                <input type="text" asp-for="@Model.Actors[i].FirstName" class="form-control" />
                                <span asp-validation-for="@Model.Actors[i].FirstName" class="text-danger"></span>
                            </div>
                            <div class="col-md-4">
                                <label asp-for="@Model.Actors[i].LastName"><span class="text-muted">Last name</span></label>
                                <input type="text" asp-for="@Model.Actors[i].LastName" class="form-control" />
                                <span asp-validation-for="@Model.Actors[i].LastName" class="text-danger"></span>
                            </div>
                            <div class="col-md-4">
                                <label asp-for="@Model.Actors[i].Birthday"><span class="text-muted">Birthday</span></label>
                                <input type="date" asp-for="@Model.Actors[i].Birthday" class="form-control" />
                                <span asp-validation-for="@Model.Actors[i].Birthday" class="text-danger"></span>
                            </div>
                        </div> <br />
                    }
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Actors</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

